--[[
MobileVault_Sharing - Optional module to enable sharing and syncing of the guild bank
using LibGuildBankComm-1.0
Author: Michael Joseph Murray aka Lyte of Lothar(US)
Please see license.txt for details.
$Revision: 179 $
$Date: 2011-04-02 22:03:00 +0000 (Sat, 02 Apr 2011) $
Project Version: r180
contact: codemaster2010 AT gmail DOT com

Copyright (c) 2007-2010 Michael J. Murray aka Lyte of Lothar(US)
All rights reserved unless otherwise explicitly stated.
]]

local MGV = LibStub("AceAddon-3.0"):GetAddon("MobileVault")
local LGBC = LibStub("LibGuildBankComm-1.0")

local Sharing = MGV:NewModule("MobileVault_Sharing")

function Sharing:OnEnable()
	LGBC.RegisterCallback(self, "GuildBankComm_ContentsChanged")
end

function Sharing:GuildBankComm_ContentsChanged(sender, bankData, guildName)
	--@alpha@
	print("Sync from", sender, "for guild", guildName)
	--@end-alpha@
end
